org.appng.api

## Interface ResultService

- All Known Implementing Classes:
    ResultServiceImpl

      public interface ResultService

  Provides methods to transform a bindobject to a `Result` and a `Page` of bindobjects to a `Resultset`.
  Author:
    Matthias Müller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result` | `getResult(FieldProcessor fp, Object bindObject)` Builds a `Result` from the provided bindObject, using the `FieldProcessor`'s `MetaData`.
    `Resultset` | `getResultset(FieldProcessor fp, Collection<?> items)` Builds a `ResultSet` from the items provided by the `Collection`, using the `FieldProcessor`'s `MetaData`. Note that pagination will not be available.
    `Resultset` | `getResultset(FieldProcessor fp, org.springframework.data.domain.Page<?> page)` Builds a `ResultSet` from the items provided by the `Page`, using the `FieldProcessor`'s `MetaData`.

- - ### Method Detail

    - #### getResultset

          Resultset getResultset(FieldProcessor fp,
                                 org.springframework.data.domain.Page<?> page)

      Builds a `ResultSet` from the items provided by the `Page`, using the `FieldProcessor`'s `MetaData`.
      Parameters:
        `fp` - a `FieldProcessor`
        `page` - a `Page` of bindobjects
      Returns:
        a `Resultset` containing a `Result` for each item of the `Page`. Every `Result` contains a `Datafield` for each `FieldDef` provided by the `FieldProcessor`'s `MetaData`.

    - #### getResultset

          Resultset getResultset(FieldProcessor fp,
                                 Collection<?> items)

      Builds a `ResultSet` from the items provided by the `Collection`, using the `FieldProcessor`'s `MetaData`.
      Note that pagination will not be available.
      Parameters:
        `fp` - a `FieldProcessor`
        `items` - a `Collection` of bindobjects
      Returns:
        a `Resultset` containing a `Result` for each item of the `Collection`. Every `Result` contains a `Datafield` for each `FieldDef` provided by the `FieldProcessor`'s `MetaData`.

    - #### getResult

          Result getResult(FieldProcessor fp,
                           Object bindObject)

      Builds a `Result` from the provided bindObject, using the `FieldProcessor`'s `MetaData`.
      Parameters:
        `fp` - a `FieldProcessor`
        `bindObject` - a bindobject
      Returns:
        a `Result` containing a `Datafield` for each `FieldDef` provided by the `FieldProcessor`'s `MetaData`.

Copyright © 2011–2023 aiticon GmbH. All rights reserved.